Subject: Re: Bellsaw Planer

From: BigJim <[email-masked]>
Date: Mon, 31 Mar 1997 15:43:37 -0900

At 01:16 AM 3/29/97 -0500, you wrote:
>Bill:
>        I've got one and for $400.00 it's a helluva machine.  That's
>what I paid for mine with a gang rip attachment in addition to the
>planer and a 3 HP single phase motor with a magnetic starter.
>        The company is still in business and still supports these older
>machines.  Overall, it's a better buy than the DELTA "table top" planer
>and much more akin to the ~$800.00 JET model.
>        Best of luck!
>        Matt
>
>

If it's a true 3hp motor, it's about *twice* the power the 12" delta has..
and I own one! :)   Also, it's very doubtful it's set up for 120 too..
wouldn't run on a 20 amp circuit anyways.. :):)